Subject: Sorting Mail by length

From: [email-masked] (Peter C. Olsen P.E.)
Date: Sun, 23 Apr 1995 21:59:00 -0400

I'm a new procmail user with a question about how to sort mail by
length.

Here's the situation: I get lots of internet mail on my "business"
host --- most of which I want to forward to my personal computer at
home (which runs Linux).  I have two uucp connections:

        - uucp link A is very reliable and easy to get to, but 
        enforces a *strict* limit of 100,000 char --- just devouring
        messages which exceed it.

        - uucp link B is much busier and more difficult to get to, 
        but it will try to deliver messages of any size I've
        forwarded. 

Clearly, I want to forward everything via A *except* messages which
are "almost" 100,000 char (say 97,000, just to be safe).

Any suggestions?

Peter

-- 
Peter Olsen, P.E.,                                        [email-masked]
        P.O. Box 410, Simpsonville, MD 21150-0410 USA, 410-997-8584
       "Engineering is the art of applying a professional knowledge
  of mathematics and the physical sciences to improve the quality of life."

---

From: [email-masked] (David W. Tamkin)
Date: Sun, 23 Apr 1995 22:36:27 -0500 (CDT)

Peter Olsen wrote,

| Clearly, I want to forward everything via A *except* messages which
| are "almost" 100,000 char (say 97,000, just to be safe).
| 
| Any suggestions?

Yes ... use procmail's size test operators, ">" and "<", as the procmailrc(5)
man page explains.

You can probably go even closer to 100,000 characters for your cutoff point,
because there should be nothing added to your forwarded mail except one more
Received: header and perhaps your business site's name in the From_ line.